Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class ClosureExpression

Field Summary
`Statement` | `code`
`def` | `parameters`
`VariableScope` | `variableScope`

Constructor Summary
`ClosureExpression(def parameters, Statement code)`

Method Summary
`Statement` | `getCode()`
`def` | `getParameters()`
`VariableScope` | `getVariableScope()`
`boolean` | `isParameterSpecified()`
`void` | `setVariableScope(VariableScope variableScope)`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### ClosureExpression

    public ClosureExpression(def parameters, Statement code)

Method Detail

### getCode

    public Statement getCode()

### getParameters

    public def getParameters()

### getVariableScope

    public VariableScope getVariableScope()

### isParameterSpecified

    public boolean isParameterSpecified()

### setVariableScope

    public void setVariableScope(VariableScope variableScope)

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)